add_subdirectory( kvt-xml )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_SOURCE_DIR}/kvt-xml
  ${CMAKE_SOURCE_DIR}/kvoctrain/kvoctrain
  ${CMAKE_BINARY_DIR}/kvoctrain/kvoctrain/common-dialogs
  
  
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kvoctraincore (shared)

tde_add_library( kvoctraincore SHARED AUTOMOC

  SOURCES
        langset.cpp
        LineList.cpp
        kvoctrainexpr.cpp
        kvoctraindoc.cpp
        kvd_rh_kvtml.cpp
        kvd_rb_kvtml1.cpp
        kvd_rb_kvtml2.cpp
        kvd_wkvtml.cpp
        kvd_csv.cpp
        kvd_lex.cpp
        kvd_vcb.cpp
        UsageManager.cpp
        QueryManager.cpp
        MultipleChoice.cpp
        grammarmanager.cpp
        kvd_voc.cpp
  LINK
     tdecore-shared
     tdeio-shared
     tdeui-shared
     kvtxml-static
     commondlg-static

  DEPENDENCIES
     kvtxml-static
     commondlg-static
     
  VERSION 0.0.0
     
  DESTINATION ${LIB_INSTALL_DIR}
)
